Bug 1463022 - gsl-2.4 is available
gsl-2.4 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: gsl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Arthur Mello
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 20:15 EDT by Upstream Release Monitoring
Modified: 2017-08-03 21:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 2.4 (#1463022) (896 bytes, patch)
2017-06-19 20:15 EDT, Upstream Release Monitoring
no flags Details | Diff
Fix %files section to update to version 2.4 (1.01 KB, patch)
2017-07-07 17:05 EDT, Arthur Mello
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2017-06-19 20:15:42 EDT
Latest upstream release: 2.4
Current version/release in rawhide: 2.3-1.fc26
URL: http://www.gnu.org/software/gsl/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1267/
Comment 1 Upstream Release Monitoring 2017-06-19 20:15:53 EDT
Created attachment 1289347 [details]
[patch] Update to 2.4 (#1463022)
Comment 2 Upstream Release Monitoring 2017-06-19 20:30:36 EDT
hotness's scratch build of gsl-2.4-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20068726
Comment 3 Arthur Mello 2017-07-07 17:05 EDT
Created attachment 1295405 [details]
Fix %files section to update to version 2.4

Change .so entry on %files section

Scratch build with this change applied:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20385972
Comment 4 Fedora Admin XMLRPC Client 2017-07-11 11:09:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Arthur Mello 2017-07-12 17:31:32 EDT
Working on here: https://copr.fedorainfracloud.org/coprs/amello/gsl24/
Comment 6 Upstream Release Monitoring 2017-07-24 07:08:35 EDT
amello's gsl-2.4-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=918395
Comment 7 Upstream Release Monitoring 2017-07-27 07:52:30 EDT
releng's gsl-2.4-2.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=926440
Comment 8 Filipe Rosset 2017-07-29 12:46:19 EDT
note: needs to rebuild mathgl and then 3Depict (I'm not sure why gsl-2.4 is not on rawhide repositories yet, maybe delayed due F27 Mass Rebuild?)
Comment 9 Upstream Release Monitoring 2017-08-03 21:26:25 EDT
releng's gsl-2.4-3.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=946211

Note You need to log in before you can comment on or make changes to this bug.